<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetResponse StructType
 * @subpackage Structs
 */
class GetResponse extends AbstractStructBase
{
    /**
     * The readResponse
     * Meta information extracted from the WSDL
     * - ref: platformMsgs:readResponse
     * @var \StructType\ReadResponse
     */
    public $readResponse;
    /**
     * Constructor method for GetResponse
     * @uses GetResponse::setReadResponse()
     * @param \StructType\ReadResponse $readResponse
     */
    public function __construct(\StructType\ReadResponse $readResponse = null)
    {
        $this
            ->setReadResponse($readResponse);
    }
    /**
     * Get readResponse value
     * @return \StructType\ReadResponse|null
     */
    public function getReadResponse()
    {
        return $this->readResponse;
    }
    /**
     * Set readResponse value
     * @param \StructType\ReadResponse $readResponse
     * @return \StructType\GetResponse
     */
    public function setReadResponse(\StructType\ReadResponse $readResponse = null)
    {
        $this->readResponse = $readResponse;
        return $this;
    }
}
